[sponsor-patch] help doesn't make it obvious workdir or upload is required

Bug #712721 reported by Brian Murray on 2011-02-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Low
Stefano Rivera

Bug Description

Binary package hint: ubuntu-dev-tools

12:08:01 - flash:[/tmp] sponsor-patch --help
Usage: sponsor-patch [options] <bug number>

Options:
  -h, --help show this help message and exit
  -b, --build Build the package with the specified builder.
  -B BUILDER, --builder=BUILDER
                        Specify the package builder (default pbuilder)
  -e, --edit launch sub-shell to allow editing of the patch
  -k KEYID, --key=KEYID
                        Specify the key ID to be used for signing.
  -l INSTANCE, --lpinstance=INSTANCE
                        Launchpad instance to connect to (default: production)
  --no-conf Don't read config files or environment variables.
  -s, --sponsor sponsoring; equals -b -u ubuntu
  -u UPLOAD, --upload=UPLOAD
                        Specify an upload destination (default none).
  -U, --update Update the build environment before building.
  -v, --verbose print more information
  -w WORKDIR, --workdir=WORKDIR
                        Specify a working directory.

See sponsor-patch(1) for more info.
12:08:09 - flash:[/tmp] sponsor-patch 360129
sponsor-patch: Error: Please specify either a working directory or an upload target!

Benjamin Drung (bdrung) on 2011-02-08
Changed in ubuntu-dev-tools (Ubuntu):
importance: Undecided → Low
Benjamin Drung (bdrung) wrote :

Suggestions are highly welcome. Where should I put this information?

Stefano Rivera (stefanor) wrote :

I'd add a sentence either directly below usage or at the bottom of --help (as well as in the manpage) saying that one of these two is required, and that if only upload is supplied, an automatically-deleted temporary directory will be used. Maybe also something in --workdir's usage about its default.

Changed in ubuntu-dev-tools (Ubuntu):
status: New → Fix Committed
assignee: nobody → Stefano Rivera (stefanor)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.121

---------------
ubuntu-dev-tools (0.121) unstable; urgency=low

  [ Daniel Holbach ]
  * harvest, setup.py: install tool that queries Harvest for information
    about open opportunities for a given source package.

  [ Stefano Rivera ]
  * ubuntutools.archive.rmadison: suite can be None, handle this correctly.
  * pull-debian-debdiff: Convert distance to an integer, so it works when
    specified.
  * sponsor-patch, doc/sponsorpatch.1: Clarify that --upload or --workdir is
    required. (LP: #712721)
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.

  [ Benjamin Drung ]
  * ubuntutools.update-maintainer: Do not use python-debian to parse
    debian/control to avoid mangling this file (LP: #756373). The new
    simplified parser has no problems with comments in debian/control
    (LP: #701487, #713827).
  * doc/setup-packaging-environment.1: Fix typo.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop transitional qemu-kvm-extras-static from alternative suggests.

  [ Ted Gould ]
  * lp-project-upload: Use a milestone that already exists if there is
    one to use.
 -- Benjamin Drung <email address hidden> Tue, 19 Apr 2011 13:05:30 +0000

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers